# Generated by Django 2.0.5 on 2021-02-23 06:32

import django.contrib.postgres.fields
import django.contrib.postgres.fields.ranges
import django.contrib.postgres.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    replaces = [('project_management', '0001_initial'), ('project_management', '0002_overallstatussetting_projectboardsetting'), ('project_management', '0003_auto_20210223_0631')]

    dependencies = [
        ('accounts', '0090_circuittype_provider'),
    ]

    operations = [
        migrations.CreateModel(
            name='DateStatusSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slot_range', django.contrib.postgres.fields.ranges.IntegerRangeField(help_text='The range of values for this slot.')),
                ('color', models.CharField(help_text='Hex Code for the color to be shown for this slot.', max_length=10)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pmo_date_status', to='accounts.Provider')),
            ],
        ),
        migrations.CreateModel(
            name='TimeStatusSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slot_range', django.contrib.postgres.fields.ranges.IntegerRangeField(help_text='The range of values for this slot.', validators=[django.contrib.postgres.validators.RangeMinValueValidator(0), django.contrib.postgres.validators.RangeMaxValueValidator(101)])),
                ('color', models.CharField(help_text='Hex Code for the color to be shown for this slot.', max_length=10)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pmo_time_status', to='accounts.Provider')),
            ],
        ),
        migrations.CreateModel(
            name='OverallStatusSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(help_text='Title for this status.', max_length=100)),
                ('description', models.TextField(blank=True, help_text='Description for this status', null=True)),
                ('connectwise_id', models.PositiveIntegerField(help_text='Connectwise id for this status.', null=True)),
                ('color', models.CharField(help_text='Hex Code for the color to be shown for this status.', max_length=10)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pmo_overall_status', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProjectBoardSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('board_id', models.PositiveIntegerField(help_text='Project board id from connectwise', null=True)),
                ('open_status', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(help_text='Connectwise id for open status.', null=True), size=None)),
                ('closed_status', models.PositiveIntegerField(help_text='Closed status for the board.', null=True)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pmo_project_board_settings', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProjectPhase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(help_text='Phase Title', max_length=250)),
                ('description', models.TextField(help_text='A short description of the phase.', null=True)),
                ('order', models.PositiveSmallIntegerField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProjectType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(help_text='Project title', max_length=250)),
                ('description', models.TextField(help_text='A short description of the project type.', null=True)),
                ('provider', models.ForeignKey(help_text='Provider for the project type', on_delete=django.db.models.deletion.CASCADE, related_name='project_types', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='projectphase',
            name='project_type',
            field=models.ForeignKey(help_text='Project Type to which the phase is related.', on_delete=django.db.models.deletion.CASCADE, related_name='phases', to='project_management.ProjectType'),
        ),
    ]
